summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/fselect1
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/fselect1')
-rwxr-xr-xcontrib/dialog/samples/fselect120
1 files changed, 20 insertions, 0 deletions
diff --git a/contrib/dialog/samples/fselect1 b/contrib/dialog/samples/fselect1
new file mode 100755
index 0000000..5913794
--- /dev/null
+++ b/contrib/dialog/samples/fselect1
@@ -0,0 +1,20 @@
+#!/bin/sh
+# $Id: fselect1,v 1.9 2010/01/13 10:20:03 tom Exp $
+
+. ./setup-vars
+
+FILE=$HOME
+for n in .cshrc .profile .bashrc
+do
+ if test -f $HOME/$n ; then
+ FILE=$HOME/$n
+ break
+ fi
+done
+
+exec 3>&1
+RESULT=`$DIALOG --title "Please choose a file" "$@" --fselect $FILE 14 48 2>&1 1>&3`
+retval=$?
+exec 3>&-
+
+. ./report-string
OpenPOWER on IntegriCloud